Loading...
Searching...
No Matches
XrdXrootdXeq.cc File Reference
`#include <cctype>`
`#include <cstdio>`
`#include <map>`
`#include <string>`
`#include <sys/time.h>`
`#include "XrdSfs/XrdSfsInterface.hh"`
`#include "XrdSfs/XrdSfsFlags.hh"`
`#include "XrdSys/XrdSysError.hh"`
`#include "XrdSys/XrdSysPlatform.hh"`
`#include "XrdSys/XrdSysTimer.hh"`
`#include "XrdCks/XrdCksData.hh"`
`#include "XrdOuc/XrdOucEnv.hh"`
`#include "XrdOuc/XrdOucReqID.hh"`
`#include "XrdOuc/XrdOucTList.hh"`
`#include "XrdOuc/XrdOucStream.hh"`
`#include "XrdOuc/XrdOucString.hh"`
`#include "XrdOuc/XrdOucTokenizer.hh"`
`#include "XrdOuc/XrdOucUtils.hh"`
`#include "XrdSec/XrdSecEntityAttr.hh"`
`#include "XrdSec/XrdSecInterface.hh"`
`#include "XrdSec/XrdSecProtector.hh"`
`#include "XrdSys/XrdSysE2T.hh"`
`#include "Xrd/XrdBuffer.hh"`
`#include "Xrd/XrdInet.hh"`
`#include "Xrd/XrdLinkCtl.hh"`
`#include "XrdXrootd/XrdXrootdAioFob.hh"`
`#include "XrdXrootd/XrdXrootdCallBack.hh"`
`#include "XrdXrootd/XrdXrootdFile.hh"`
`#include "XrdXrootd/XrdXrootdFileLock.hh"`
`#include "XrdXrootd/XrdXrootdJob.hh"`
`#include "XrdXrootd/XrdXrootdMonFile.hh"`
`#include "XrdXrootd/XrdXrootdMonitor.hh"`
`#include "XrdXrootd/XrdXrootdNormAio.hh"`
`#include "XrdXrootd/XrdXrootdPio.hh"`
`#include "XrdXrootd/XrdXrootdPrepare.hh"`
`#include "XrdXrootd/XrdXrootdProtocol.hh"`
`#include "XrdXrootd/XrdXrootdRedirPI.hh"`
`#include "XrdXrootd/XrdXrootdStats.hh"`
`#include "XrdXrootd/XrdXrootdTrace.hh"`
`#include "XrdXrootd/XrdXrootdWVInfo.hh"`
`#include "XrdXrootd/XrdXrootdXeq.hh"`
`#include "XrdXrootd/XrdXrootdXPath.hh"`
`#include "XrdVersion.hh"`
Include dependency graph for XrdXrootdXeq.cc:

Go to the source code of this file.

## Classes

struct | XrdXrootd::netInfo
struct | XrdXrootdSessID

## Namespaces

namespace | XrdXrootd

## Macros

#define | ENODATA ENOATTR
#define | ETIME ETIMEDOUT
#define | Map_Mode(x, y)

## Variables

XrdSysTrace | XrdXrootdTrace

## Macro Definition Documentation

## ENODATA

#define ENODATA ENOATTR

Definition at line 77 of file XrdXrootdXeq.cc.

## ETIME

#define ETIME ETIMEDOUT

Definition at line 81 of file XrdXrootdXeq.cc.

## Map_Mode

#define Map_Mode | ( |  | x,
|  |  | y )

Value:
if (Mode & kXR_ ## x) newmode |= S_I ## y
Mode
int Mode
Definition XrdSecgsiProxy.cc:94

Definition at line 4225 of file XrdXrootdXeq.cc.

## Variable Documentation

## XrdXrootdTrace

XrdSysTrace XrdXrootdTrace

extern

Definition at line 96 of file XrdFrmAdminMain.cc.